IE10-11 ve alt sürümlerine lanet gelsin.

Bilen bilir IE’ın ne kadar düşman bir tarayıcı olduğunu. En kıçı kırık css de bile hata vermeyi başaran bu tarayıcı için illa özel kodlar yazıp, bir taraflarını okşamamız gerekiyor.

Uzun süreden sonra css de olan sorun yüzünden ona özel css yazayım dedim ama gene kendini gösterdi bu lanet olasıca.

Normal şartlarda aşağıdaki gibi if IE  dediğimizde bütün sürümleri alması gerekiyor.

Fakat bu lanet olasıca IE kendini güncelleştirdikçe daha başına buyruk oluyor ve bu bütün IE ler için olması gereken kod parçacığı IE10-11 de falan çalışmıyor. Onun için nelerle uğraştık durduk ve sonunda şu parçacığı buldum.

 

Kendini -ms-high-contrast olarak düşünüyor bu IE nin çoook gelişmiş(!) sürümleri ve o yüzden de böyle yapınca düzeliyormuş.

Neyse zorda olsa çözdüm sonuçta, önemli olan o.

Daha az hatalı günler.

Kahrolsun IE !

Genel olarak web üzerine yoğunlaşan, gaza gelmek için müzik dinleyen, amatör olarak resim çekmeye çalışan, bir yandan özel bir şirkette çalışıp, diğer yandan da okumaya devam eden sıradan bir ölümlü. He bide buraların sahibi.

Leave a reply:

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.